"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x110a920e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x110a92170>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x110a92200>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x110a92290>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x110a92320>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x110a923b0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x110a92440>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x110a924d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x110a92560>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x110a925f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x110a92680>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x110a92710>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x110a927a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x110a92830>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x110a928c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x110a92950>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x110a929e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x110a92a70>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x110a92b00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x110a92b90>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x110a92c20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x110a92cb0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x110a92d40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x110a92dd0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x110a92ef0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x110a92e60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x110a92f80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x110a93010>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x110a930a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x110a93130>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x110a931c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x110a93250>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x110a932e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x110a93370>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x110a93400>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x110a93490>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x110a93520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x110a935b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x110a93640>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x110a936d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x110a93760>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x110a937f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x110a93880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x110a93910>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x110a939a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x110a93a30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x110a93ac0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x110a93b50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x110a93be0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x110a93c70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x110a93d00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x110a93d90>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x110a93e20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x110a93eb0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x110a93f40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x110acc040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x110acc0d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x110acc160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x110acc1f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x110acc280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x110acc310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x110acc3a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x110acc430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x110acc4c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x110acc550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x110acc700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x110acc5e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x110acc790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x110acc820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x110acc8b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x110acc940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x110acc9d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x110accaf0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x110acca60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x110accb80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x110accc10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x110accca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x110accdc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x110accd30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x110acce50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x110accee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x110accf70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x110acd000>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x110acd090>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x110acd120>)]
name: str = 'fr_HOCCN'
